Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class ScrollPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.SimplePanel
                      com.google.gwt.user.client.ui.ScrollPanel

All Implemented Interfaces:
  EventListener, HasWidgets, SourcesScrollEvents

    public class ScrollPanel

extends SimplePanel
implements SourcesScrollEvents

A simple panel that wraps its contents in a scrollable area.

Constructor Summary
`ScrollPanel()` Creates an empty scroll panel.
`ScrollPanel(Widget child)` Creates a new scroll panel with the given child widget.

Method Summary
`void` | `addScrollListener(ScrollListener listener)` Adds a listener interface to receive scroll events.
`void` | `ensureVisible(UIObject item)` Ensures that the specified item is visible, by adjusting the panel's scroll position.
`int` | `getHorizontalScrollPosition()` Gets the horizontal scroll position.
`int` | `getScrollPosition()` Gets the vertical scroll position.
`void` | `onBrowserEvent(Event event)` Fired whenever a browser event is received.
`void` | `removeScrollListener(ScrollListener listener)` Removes a previously added scroll listener.
`void` | `setAlwaysShowScrollBars(boolean alwaysShow)` Sets whether this panel always shows its scroll bars, or only when necessary.
`void` | `setHorizontalScrollPosition(int position)` Sets the horizontal scroll position.
`void` | `setScrollPosition(int position)` Sets the vertical scroll position.

Methods inherited from class com.google.gwt.user.client.ui.SimplePanel
`add, getContainerElement, getWidget, iterator, remove, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`adopt, adopt, clear, disown, doAttachChildren, doDetachChildren, onLoad, onUnload, orphan`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onAttach, onDetach, removeFromParent, setElement`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScrollPanel

    public ScrollPanel()

  Creates an empty scroll panel.

### ScrollPanel

    public ScrollPanel(Widget child)

  Creates a new scroll panel with the given child widget.

  Parameters:
    `child` - the widget to be wrapped by the scroll panel

Method Detail

### addScrollListener

    public void addScrollListener(ScrollListener listener)

  Description copied from interface: `SourcesScrollEvents`
  Adds a listener interface to receive scroll events.

  Specified by:
    `addScrollListener` in interface `SourcesScrollEvents`
  Parameters:
    `listener` - the listener interface to add.

### ensureVisible

    public void ensureVisible(UIObject item)

  Ensures that the specified item is visible, by adjusting the panel's scroll position.

  Parameters:
    `item` - the item whose visibility is to be ensured

### getHorizontalScrollPosition

    public int getHorizontalScrollPosition()

  Gets the horizontal scroll position.

  Returns:
    the horizontal scroll position, in pixels

### getScrollPosition

    public int getScrollPosition()

  Gets the vertical scroll position.

  Returns:
    the vertical scroll position, in pixels

### onBrowserEvent

    public void onBrowserEvent(Event event)

  Description copied from interface: `EventListener`
  Fired whenever a browser event is received.

  Specified by:
    `onBrowserEvent` in interface `EventListener`
  Overrides:
    `onBrowserEvent` in class `Widget`
  Parameters:
    `event` - the event received

### removeScrollListener

    public void removeScrollListener(ScrollListener listener)

  Description copied from interface: `SourcesScrollEvents`
  Removes a previously added scroll listener.

  Specified by:
    `removeScrollListener` in interface `SourcesScrollEvents`
  Parameters:
    `listener` - the listener interface to remove.

### setAlwaysShowScrollBars

    public void setAlwaysShowScrollBars(boolean alwaysShow)

  Sets whether this panel always shows its scroll bars, or only when necessary.

  Parameters:
    `alwaysShow` - `true` to show scroll bars at all times

### setHorizontalScrollPosition

    public void setHorizontalScrollPosition(int position)

  Sets the horizontal scroll position.

  Parameters:
    `position` - the new horizontal scroll position, in pixels

### setScrollPosition

    public void setScrollPosition(int position)

  Sets the vertical scroll position.

  Parameters:
    `position` - the new vertical scroll position, in pixels

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD